gnutls_x509_crt_set_pubkey(3)

NAME
gnutls_x509_crt_set_pubkey - API function

SYNOPSIS
#include <gnutls/abstract.h>

int gnutls_x509_crt_set_pubkey(gnutls_x509_crt_t crt, gnutls_pubkey_t key);

ARGUMENTS

gnutls_x509_crt_t crt
    should contain a gnutls_x509_crt_t type

gnutls_pubkey_t key
    holds a public key

DESCRIPTION
This function will set the public parameters from the given public key to the certificate. The key can be deallocated after that.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001- Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/